# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
###########################################################################
"""
librairie contenant des fonctions de validation
"""

def test_confirm_passwd(pwd1, pwd2):
    """
    vérification d'un champ mot de passe
    et de sa confirmation
    """
    if not pwd1:
        raise Exception, "Erreur : mot de passe vide."
    if pwd1 != pwd2:
        raise Exception, "Erreur: les mots de passe ne concordent pas."
    else:
        return pwd1

def test_mailperso(mailperso):
    """
    vérification d'une adresse mail personalisée
    """
    mailperso = mailperso.strip()
    if mailperso == '':
        raise Exception, "Erreur : il manque l'adresse mail personnalisée."
    if '@' not in mailperso or '.' not in mailperso:
        raise Exception, "Erreur : l'adresse mail est invalide."
    return mailperso

